Loading...
Searching...
No Matches
msrunreader.h File Reference
`#include <memory>`
`#include <map>`
`#include <QMutex>`
`#include "../trace/maptrace.h"`
`#include "spectrumcollectionhandlerinterface.h"`
`#include "msrunreadconfig.h"`
`#include "msrunid.h"`
`#include "../massspectrum/qualifiedmassspectrum.h"`
`#include "pappsomspp/core/msfile/msfilereader.h"`
`#include "../obo/obopsimodterm.h"`
`#include "pappsomspp/export-import-config.h"`
`#include "xiccoord/xiccoord.h"`

Go to the source code of this file.

## Classes

class | pappso::MsRunReader
| base class to read MSrun the only way to build a MsRunReader object is to use the MsRunReaderFactory More...

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< MsRunReader > | pappso::MsRunReaderSPtr
typedef std::shared_ptr< const MsRunReader > | pappso::MsRunReaderCstSPtr

## Functions

| Q_DECLARE_METATYPE (pappso::MsRunReaderSPtr)

## Variables

class PMSPP_LIB_DECL | pappso::MsRunReader
int | msRunReaderSPtrMetaTypeId

## Function Documentation

## Q_DECLARE_METATYPE()

Q_DECLARE_METATYPE | ( | pappso::MsRunReaderSPtr |  | ) |

References msRunReaderSPtrMetaTypeId.

## Variable Documentation

## msRunReaderSPtrMetaTypeId

int msRunReaderSPtrMetaTypeId

extern

Definition at line 35 of file msrunreader.cpp.

Referenced by Q_DECLARE_METATYPE().